# Uses of Class
net.shibboleth.idp.saml.authn.principal.AuthnContextDeclRefPrincipal

Packages that use AuthnContextDeclRefPrincipal
Package
Description
net.shibboleth.idp.saml.authn.principal
SAML-specific classes for integration with idp-authn-api packages.

## Uses of AuthnContextDeclRefPrincipal in net.shibboleth.idp.saml.authn.principal

Methods in net.shibboleth.idp.saml.authn.principal that return AuthnContextDeclRefPrincipal
Modifier and Type
Method
Description
`AuthnContextDeclRefPrincipal`
AuthnContextDeclRefPrincipal.`clone()`
Creates and returns a copy of this object.